<?php

namespace App\Entities\Customer\Wallet;

use App\Models\Customer\Wallet\AccountModel;

class AccountEntity extends WalletEntity
{
    const PK    = AccountModel::PK;
    const TITLE = AccountModel::TITLE;
    final public function getUserUID(): int|null
    {
        return $this->attributes['user_uid'] ?? null;
    }
    final public function  getClientInfoUID(): int|null
    {
        return $this->attributes['clientinfo_uid'] ?? null;
    }
    //기본기능
    public function getContent(): string|null
    {
        return $this->attributes['content'] ?? null;
    }
    public function getAmount(): int
    {
        return $this->attributes['amount'] ?? 0;
    }
}
